org.eclnt.workplace

## Class WorkpageDefaultStarter

- java.lang.Object
- - org.eclnt.workplace.WorkpageDefaultStarter

- All Implemented Interfaces:
    java.io.Serializable, IWorkpageStarter

      public class WorkpageDefaultStarter
      extends java.lang.Object
      implements IWorkpageStarter, java.io.Serializable

  Default implementation for `IWorkpageStarter`. You may sub-class this implementation for adding own, specific start functions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageDefaultStarter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Workpage` | `createWorkpage(IWorkpageDispatcher workpageDispatcher, WorkpageStartInfo startInfo, java.lang.String title)`
    `protected Workpage` | `createWorkpageWithPageBean(IWorkpageDispatcher workpageDispatcher, java.lang.String title, WorkpageStartInfo startInfo)`
    `Workpage` | `createWorkpageWithPageBean(IWorkpageDispatcher workpageDispatcher, java.lang.String title, WorkpageStartInfo startInfo, ICreatePageBeanInstance beanCreator)`
    `protected void` | `reactOnProblemDuringWorkpageStart(java.lang.Throwable t)` Called if an error occurs when starting a page bean.
    `protected IWorkpage` | `startFunction(WorkpageStartInfo wpsi, IWorkpageDispatcher dispatcher)` Called if workpage start info contains a reference to a method/class.
    `IWorkpage` | `startWorkpage(IWorkpageDispatcher workpageDispatcher, IWorkpageContainer workpageContainer, WorkpageStartInfo startInfo)` Start workpage that is defined by the parameter startInfo.
    `IWorkpage` | `startWorkpage(IWorkpageDispatcher workpageDispatcher, IWorkpageContainer workpageContainer, WorkpageStartInfo startInfo, ICreatePageBeanInstance beanCreator)` Start workpage that is defined by the parameter startInfo together with a call back to generate the main page bean that is used in the workpage.
    `protected void` | `switchToAlreadyOpenedWorkpage(IWorkpageDispatcher workpageDispatcher, IWorkpageContainer workpageContainer, IWorkpage workpage)` This method is called when the page is already opened in the workplace.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkpageDefaultStarter

          public WorkpageDefaultStarter()

  - ### Method Detail

    - #### startWorkpage

          public IWorkpage startWorkpage(IWorkpageDispatcher workpageDispatcher,
                                         IWorkpageContainer workpageContainer,
                                         WorkpageStartInfo startInfo)

      Start workpage that is defined by the parameter startInfo.
      Specified by:
        `startWorkpage` in interface `IWorkpageStarter`

    - #### startWorkpage

          public IWorkpage startWorkpage(IWorkpageDispatcher workpageDispatcher,
                                         IWorkpageContainer workpageContainer,
                                         WorkpageStartInfo startInfo,
                                         ICreatePageBeanInstance beanCreator)

      Start workpage that is defined by the parameter startInfo together with a call back to generate the main page bean that is used in the workpage.

    - #### createWorkpage

          public Workpage createWorkpage(IWorkpageDispatcher workpageDispatcher,
                                         WorkpageStartInfo startInfo,
                                         java.lang.String title)

    - #### createWorkpageWithPageBean

          public Workpage createWorkpageWithPageBean(IWorkpageDispatcher workpageDispatcher,
                                                     java.lang.String title,
                                                     WorkpageStartInfo startInfo,
                                                     ICreatePageBeanInstance beanCreator)

    - #### createWorkpageWithPageBean

          protected Workpage createWorkpageWithPageBean(IWorkpageDispatcher workpageDispatcher,
                                                        java.lang.String title,
                                                        WorkpageStartInfo startInfo)

    - #### switchToAlreadyOpenedWorkpage

          protected void switchToAlreadyOpenedWorkpage(IWorkpageDispatcher workpageDispatcher,
                                                       IWorkpageContainer workpageContainer,
                                                       IWorkpage workpage)

      This method is called when the page is already opened in the workplace. By default the method tirggers the "page switch" within the workplace, so that the user sees the page.

    - #### startFunction

          protected IWorkpage startFunction(WorkpageStartInfo wpsi,
                                            IWorkpageDispatcher dispatcher)

      Called if workpage start info contains a reference to a method/class.

    - #### reactOnProblemDuringWorkpageStart

          protected void reactOnProblemDuringWorkpageStart(java.lang.Throwable t)

      Called if an error occurs when starting a page bean. The page bean may e.g. throw an Exception/Error within the constructor.
      Default behavior, implemented in this class: the message of the error is output as OKPopup, so that the user gest notified. - You may override this method in order to output the error information in some different way.

Copyright © CaptainCasa Gmbh. All Rights Reserved.